package com.hzs.member.base.service;

import cn.hutool.core.lang.tree.Tree;
import com.hzs.common.domain.member.achieve.CuMemberRetailDetail;
import com.hzs.member.structure.controller.vo.ChildCodeVO;

import java.util.List;

public interface ICumemberRetailDetail {
    List<ChildCodeVO> getChildList(String memberCode, Integer stage, Integer stageStatus, String settleTableName);

    CuMemberRetailDetail getCuMemberRetailDetail(String memberCode, Integer stage, Integer stageStatus, String childNode, String settleTableName);

    Integer getFindCumemberRetailDetail(String settleTableName);

    List<Tree<String>> convertToNodeList(CuMemberRetailDetail cuMemberRetailDetail);
}
